﻿/***************************/
//@Author: Adrian "yEnS" Mato Gondelle & Ivan Guardado Castro
//@website: www.yensdesign.com
//@email: yensamg@gmail.com
//@license: Feel free to use it, but keep this credits please!					
/***************************/

var myHub = $.connection.chatHub;
var messageList = $(".content > ul");

myHub.client.recieved = function (value) {
    var obj = JSON.parse(value);

    messageList.append("<li><strong>" + obj.userName + "</strong><img src=\"/Content/ChatCss/images/bullet.gif\" alt=\"-\" />" + obj.messageVal + "<span class=\"date\">" + new Date() + "</span></li>");
};

$.connection.hub.start()
.done(function () {
    myHub.server.join();
    $("#loading").hide();
})
.fail(function () { alert("Could not Connect!"); });

$(document).ready(function(){
	//global vars
	var inputUser = $("#nick");
	var inputMessage = $("#message");
	var loading = $("#loading");
	
	//check if all fields are filled
	function checkForm(){
		if(inputUser.attr("value") && inputMessage.attr("value"))
			return true;
		else
			return false;
	}
	
	//on submit event
	$("#form").submit(function(){
		if(checkForm()){
			var nick = inputUser.attr("value");
			var message = inputMessage.attr("value");

			myHub.server.send(JSON.stringify({ userName: nick, messageVal: message }));
		}
		else alert("Please fill all fields!");
		//we prevent the refresh of the page after submitting the form
		return false;
	});
});